Jump to content

Turn off object snaps during the operation by key combination


itacad

Recommended Posts

Hi, I'd like to turn off object snaps while running a command.

I know just pressing F3 to turn on or off object snaps , but I would like to do it differently.

The result I would like is to have object snaps always active, if I do not need them in a particular moment of the command, make them inactive, and then find them active again in the next phase or in the use of a new command.

What I have described corresponds to the use of "snap none" which works as I would like, but:

- I don't want to click the mouse on the icon because I want to use a keyboard command

- the command typed from the keyboard is too long (_not)

Is it possible associate to "snap none" a faster keyboard command?

For my needs I would also have a combination to propose: ctrl + < (I will not dwell on explaining why).

 

Thank you in advance for any suggestions on this particular request

 

Link to comment
Share on other sites

May be able to do 'Transparent" command in the middle of a normal Autocad command. Look at these two defuns.

 

(defun c:47 ( / )(setvar 'osmode 47))
(defun c:00 ( / )(setvar 'osmode 0))

 

So look at this sequence note thesingle quote

Line pickpoint '00 pickpoint '47 pickpoint

So you turn off snaps pick points then turn back on a set of osnaps.

Link to comment
Share on other sites

20 hours ago, itacad said:

..........

- the command typed from the keyboard is too long (_not)

Is it possible associate to "snap none" a faster keyboard command?

.......

 

 

Surely the command typed at the keyboard is non (enter)

Link to comment
Share on other sites

3 hours ago, eldon said:

Surely the command typed at the keyboard is non (enter)

 

Yes, or at least it is in the Italian version...In the meantime, I have discovered a feature that can be useful to me: If during the execution of the command, before giving the second point with a click of the mouse, F3 is held down, the osnaps are disabled, but they are not turned off, so they are available again in the next command.

for now I can try this way

 

 

  • Like 1
Link to comment
Share on other sites

On 1/20/2022 at 4:00 PM, itacad said:

 

Yes, or at least it is in the Italian version...In the meantime, I have discovered a feature that can be useful to me: If during the execution of the command, before giving the second point with a click of the mouse, F3 is held down, the osnaps are disabled, but they are not turned off, so they are available again in the next command.

for now I can try this way

 

 

Toggle OSNAP mode override Shift+A or Shift+ ‘ works as well by default. They're controlled in the CUI → Keyboard Shortcuts → Temporary Override Keys.

I generally stay with AutoCAD defaults except for a couple changes. https://www.cadtutor.net/forum/topic/550-contribute-a-tip-become-famous/page/17/#comment-567790

 

Link to comment
Share on other sites

On 1/23/2022 at 7:09 PM, tombu said:

Toggle OSNAP mode override Shift+A or Shift+ ‘ works as well by default. They're controlled in the CUI → Keyboard Shortcuts → Temporary Override Keys.

I generally stay with AutoCAD defaults except for a couple changes. https://www.cadtutor.net/forum/topic/550-contribute-a-tip-become-famous/page/17/#comment-567790

Thank you, I looked at the Keyboard Shortcuts section, I don't know it well, I have to check if there is any useful shortcut!

For now I continue holding down the F3 button (because I have already memorized it on a mouse button and I have no other free buttons).

I confirm that the result is equivalent to pressing shift + A.

 

Thank you and greetings

 

 

Link to comment
Share on other sites

  • 2 months later...

I have these Lisp routines set up for controlling OSNAP. Keyboard QQ set for snap non. They don't work "transparently" though.

 

(defun c:Q ()
  (COMMAND "OSNAP" "ENDPOINT,INTERSECTION")
)

(defun c:QA ()
  (COMMAND "OSNAP" "PERPENDICULAR,INTERSECTION,NEAREST,INSERT")
)

(defun c:QN ()
  (COMMAND "OSNAP" "NODE,INSERT")
)

(defun c:QM ()
  (COMMAND "OSNAP" "midpoint")
)

(defun c:QQ ()
  (COMMAND "OSNAP" "NONE")
)

 

Link to comment
Share on other sites

'q

'qa

'qn

'qm

 

Use (setvar 'osmode x) maybe rather than "end", set the osnaps then type osmode write down the number, end = 1 then you can see combos you want. 47 is random number I used but osmode 47 is useful, we used like 99 for lots on but its 16xxx something. 

Edited by BIGAL
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...